Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(121)

Issue 2478633002: Update Crashpad to b47bf6c250c6b825dee1c5fbad9152c2c962e828 (Closed)

Created:
3 years, 1 month ago by scottmg
Modified:
3 years, 1 month ago
CC:
chromium-reviews, sadrul, jam, dcheng, darin-cc_chromium.org, mac-reviews_chromium.org, kalyank
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Update Crashpad to b47bf6c250c6b825dee1c5fbad9152c2c962e828 2d87606bb56b win: Start crashpad_handler by inheriting connection data to it cc0b7deef27d Get VS2013 compilation working again for Crashpad f735d050c487 Port the util library to Linux e956a8252fc1 Port the util library to Android d5a759c900ae Update mini_chromium to 8e8d3cc9a245 d1aafe78ea46 Port the test library and crashpad_test_test to Linux/Android b978b03fa188 Port most of crashpad_util_test to Linux/Android c2814e251912 Don't throttle explicitly requested uploads fd751f4708cc Correct StringToUnsignedInt[64]() e7bd798af438 Update build/test and status documentation to reflect Android e616638c9d87 Replace Rietveld with Gerrit in the developer documentation 47a830465f78 Port the minidump library to Android and ARM 88e3b6b02271 Omit platform-specific assembler source from builds as needed 96b9857aceb4 Fix the crashpad_minidump library for 32-bit ARM c55e49c13d5c doc: Remove errant parenthesis 76ef9b5c2b00 win: Address failure-to-start-handler case for async startup 55ba6b67801b break; after handling --initial-client-data on command line bb7d249d65a1 Partially port the crashpad_client library to Linux/Android 375082098deb mac: Fix tests on 10.12.1 c4cdec3d72a2 Handle non-crashing cases for server failure to start b47bf6c250c6 Fix tests when running on Win10 Also update .GN files, and adapt Chrome side code for changes in API. Only the first three files are modified here, the rest are unmodified from upstream Crashpad repo. This does not yet make handler startup asynchronous, or move it back to chrome_elf. Those will be done in smaller followup CLs. R=mark@chromium.org TBR=rsesek BUG=660955, 565063, 656800, 655788 Committed: https://crrev.com/7b9234c4b2a7f4f4fa84c80ecb22d41c54899f6a Cr-Commit-Position: refs/heads/master@{#429983}

Patch Set 1 #

Patch Set 2 : mac #

Total comments: 6

Patch Set 3 : roll crashpad with synchronous handler start for now #

Patch Set 4 : reapply comment change from mac #

Total comments: 2

Patch Set 5 : mac comment 2 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1718 lines, -541 lines) Patch
M build/secondary/third_party/crashpad/crashpad/util/BUILD.gn View 1 chunk +2 lines, -0 lines 0 comments Download
M components/crash/content/app/crashpad_mac.mm View 1 2 3 4 1 chunk +4 lines, -6 lines 0 comments Download
M components/crash/content/app/crashpad_win.cc View 1 2 3 chunks +4 lines, -9 lines 0 comments Download
M third_party/crashpad/README.chromium View 1 chunk +1 line, -1 line 0 comments Download
M third_party/crashpad/crashpad/DEPS View 1 chunk +1 line, -1 line 0 comments Download
M third_party/crashpad/crashpad/client/client.gyp View 1 chunk +5 lines, -0 lines 0 comments Download
M third_party/crashpad/crashpad/client/crashpad_client.h View 9 chunks +67 lines, -56 lines 0 comments Download
M third_party/crashpad/crashpad/client/crashpad_client_mac.cc View 3 chunks +5 lines, -13 lines 0 comments Download
M third_party/crashpad/crashpad/client/crashpad_client_win.cc View 16 chunks +321 lines, -96 lines 0 comments Download
M third_party/crashpad/crashpad/client/crashpad_client_win_test.cc View 3 chunks +91 lines, -2 lines 0 comments Download
M third_party/crashpad/crashpad/client/crashpad_info.cc View 1 chunk +31 lines, -17 lines 0 comments Download
M third_party/crashpad/crashpad/doc/developing.ad View 9 chunks +137 lines, -30 lines 0 comments Download
M third_party/crashpad/crashpad/doc/status.ad View 1 chunk +1 line, -1 line 0 comments Download
M third_party/crashpad/crashpad/handler/crash_report_upload_thread.cc View 1 chunk +4 lines, -1 line 0 comments Download
M third_party/crashpad/crashpad/handler/crashpad_handler.ad View 3 chunks +18 lines, -14 lines 0 comments Download
M third_party/crashpad/crashpad/handler/handler.gyp View 1 chunk +7 lines, -0 lines 0 comments Download
M third_party/crashpad/crashpad/handler/handler_main.cc View 10 chunks +57 lines, -54 lines 0 comments Download
M third_party/crashpad/crashpad/handler/win/crash_other_program.cc View 2 chunks +5 lines, -10 lines 0 comments Download
M third_party/crashpad/crashpad/handler/win/crashy_test_program.cc View 2 chunks +2 lines, -6 lines 0 comments Download
M third_party/crashpad/crashpad/handler/win/crashy_test_z7_loader.cc View 1 chunk +0 lines, -4 lines 0 comments Download
A third_party/crashpad/crashpad/handler/win/fake_handler_that_crashes_at_startup.cc View 1 2 3 1 chunk +20 lines, -0 lines 0 comments Download
M third_party/crashpad/crashpad/handler/win/hanging_program.cc View 2 chunks +3 lines, -5 lines 0 comments Download
M third_party/crashpad/crashpad/handler/win/self_destroying_test_program.cc View 1 chunk +0 lines, -4 lines 0 comments Download
M third_party/crashpad/crashpad/minidump/minidump_misc_info_writer.cc View 4 chunks +10 lines, -0 lines 0 comments Download
M third_party/crashpad/crashpad/snapshot/mac/mach_o_image_annotations_reader_test.cc View 1 chunk +12 lines, -1 line 0 comments Download
M third_party/crashpad/crashpad/snapshot/mac/mach_o_image_reader.h View 1 chunk +3 lines, -2 lines 0 comments Download
M third_party/crashpad/crashpad/snapshot/mac/mach_o_image_reader.cc View 1 chunk +1 line, -1 line 0 comments Download
M third_party/crashpad/crashpad/snapshot/mac/process_types/crashpad_info.proctype View 1 chunk +1 line, -1 line 0 comments Download
M third_party/crashpad/crashpad/snapshot/module_snapshot.h View 2 chunks +2 lines, -2 lines 0 comments Download
M third_party/crashpad/crashpad/snapshot/win/crashpad_snapshot_test_crashing_child.cc View 1 chunk +0 lines, -1 line 0 comments Download
M third_party/crashpad/crashpad/snapshot/win/crashpad_snapshot_test_dump_without_crashing.cc View 1 chunk +0 lines, -1 line 0 comments Download
M third_party/crashpad/crashpad/snapshot/win/end_to_end_test.py View 5 chunks +32 lines, -9 lines 0 comments Download
M third_party/crashpad/crashpad/snapshot/win/exception_snapshot_win_test.cc View 2 chunks +4 lines, -2 lines 0 comments Download
M third_party/crashpad/crashpad/test/multiprocess_exec_posix.cc View 2 chunks +11 lines, -1 line 0 comments Download
M third_party/crashpad/crashpad/test/multiprocess_exec_test_child.cc View 2 chunks +8 lines, -3 lines 0 comments Download
M third_party/crashpad/crashpad/test/multiprocess_posix_test.cc View 1 chunk +1 line, -1 line 0 comments Download
A third_party/crashpad/crashpad/test/paths_linux.cc View 1 chunk +62 lines, -0 lines 0 comments Download
M third_party/crashpad/crashpad/test/paths_mac.cc View 1 chunk +3 lines, -2 lines 0 comments Download
M third_party/crashpad/crashpad/test/paths_win.cc View 1 chunk +5 lines, -1 line 0 comments Download
M third_party/crashpad/crashpad/test/scoped_temp_dir_posix.cc View 2 chunks +21 lines, -3 lines 0 comments Download
M third_party/crashpad/crashpad/test/test.gyp View 2 chunks +8 lines, -0 lines 0 comments Download
M third_party/crashpad/crashpad/test/win/win_child_process.cc View 1 chunk +1 line, -1 line 0 comments Download
M third_party/crashpad/crashpad/tools/mac/run_with_crashpad.cc View 2 chunks +2 lines, -5 lines 0 comments Download
M third_party/crashpad/crashpad/util/file/file_writer.cc View 1 chunk +12 lines, -2 lines 0 comments Download
M third_party/crashpad/crashpad/util/misc/clock_test.cc View 2 chunks +3 lines, -3 lines 0 comments Download
M third_party/crashpad/crashpad/util/misc/metrics.cc View 3 chunks +14 lines, -15 lines 0 comments Download
M third_party/crashpad/crashpad/util/misc/uuid.cc View 2 chunks +11 lines, -0 lines 0 comments Download
M third_party/crashpad/crashpad/util/numeric/checked_address_range_test.cc View 3 chunks +3 lines, -3 lines 0 comments Download
M third_party/crashpad/crashpad/util/posix/close_multiple.cc View 6 chunks +85 lines, -9 lines 0 comments Download
M third_party/crashpad/crashpad/util/posix/drop_privileges.cc View 1 chunk +1 line, -1 line 0 comments Download
M third_party/crashpad/crashpad/util/posix/process_info.h View 2 chunks +1 line, -1 line 0 comments Download
M third_party/crashpad/crashpad/util/posix/process_info_test.cc View 2 chunks +30 lines, -0 lines 0 comments Download
M third_party/crashpad/crashpad/util/posix/symbolic_constants_posix.cc View 3 chunks +3 lines, -3 lines 0 comments Download
M third_party/crashpad/crashpad/util/posix/symbolic_constants_posix_test.cc View 3 chunks +3 lines, -3 lines 0 comments Download
M third_party/crashpad/crashpad/util/stdlib/string_number_conversion.h View 1 chunk +1 line, -0 lines 0 comments Download
M third_party/crashpad/crashpad/util/stdlib/string_number_conversion.cc View 3 chunks +17 lines, -0 lines 0 comments Download
M third_party/crashpad/crashpad/util/string/split_string.h View 2 chunks +12 lines, -4 lines 0 comments Download
M third_party/crashpad/crashpad/util/string/split_string.cc View 2 chunks +27 lines, -4 lines 0 comments Download
M third_party/crashpad/crashpad/util/string/split_string_test.cc View 1 chunk +45 lines, -13 lines 0 comments Download
M third_party/crashpad/crashpad/util/thread/thread_log_messages.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/crashpad/crashpad/util/util.gyp View 2 chunks +6 lines, -0 lines 0 comments Download
M third_party/crashpad/crashpad/util/util_test.gyp View 1 chunk +1 line, -0 lines 0 comments Download
M third_party/crashpad/crashpad/util/win/exception_handler_server.h View 3 chunks +24 lines, -8 lines 0 comments Download
M third_party/crashpad/crashpad/util/win/exception_handler_server.cc View 7 chunks +61 lines, -89 lines 0 comments Download
M third_party/crashpad/crashpad/util/win/exception_handler_server_test.cc View 2 chunks +4 lines, -6 lines 0 comments Download
A third_party/crashpad/crashpad/util/win/initial_client_data.h View 1 chunk +122 lines, -0 lines 0 comments Download
A third_party/crashpad/crashpad/util/win/initial_client_data.cc View 1 chunk +113 lines, -0 lines 0 comments Download
A third_party/crashpad/crashpad/util/win/initial_client_data_test.cc View 1 chunk +74 lines, -0 lines 0 comments Download
M third_party/crashpad/crashpad/util/win/registration_protocol_win.h View 2 chunks +17 lines, -0 lines 0 comments Download
M third_party/crashpad/crashpad/util/win/registration_protocol_win.cc View 5 chunks +52 lines, -7 lines 0 comments Download
M third_party/crashpad/crashpad/util/win/termination_codes.h View 1 chunk +1 line, -1 line 0 comments Download

Dependent Patchsets:

Messages

Total messages: 42 (21 generated)
scottmg
3 years, 1 month ago (2016-11-03 21:14:45 UTC) #5
Mark Mentovai
, ! https://codereview.chromium.org/2478633002/diff/20001/components/crash/content/app/crashpad_mac.mm File components/crash/content/app/crashpad_mac.mm (right): https://codereview.chromium.org/2478633002/diff/20001/components/crash/content/app/crashpad_mac.mm#newcode105 components/crash/content/app/crashpad_mac.mm:105: // StartHandler() call UseSystemDefaultHandler() in that case ...
3 years, 1 month ago (2016-11-03 21:35:30 UTC) #8
Mark Mentovai
Do you maybe want to land this in two parts? One for the roll and ...
3 years, 1 month ago (2016-11-03 21:45:02 UTC) #9
scottmg
On 2016/11/03 21:45:02, Mark Mentovai wrote: > Do you maybe want to land this in ...
3 years, 1 month ago (2016-11-03 21:49:17 UTC) #10
scottmg
https://codereview.chromium.org/2478633002/diff/20001/components/crash/content/app/crashpad_mac.mm File components/crash/content/app/crashpad_mac.mm (right): https://codereview.chromium.org/2478633002/diff/20001/components/crash/content/app/crashpad_mac.mm#newcode105 components/crash/content/app/crashpad_mac.mm:105: // StartHandler() call UseSystemDefaultHandler() in that case to drop ...
3 years, 1 month ago (2016-11-03 22:01:08 UTC) #12
Mark Mentovai
LGTM! The weird punctuation you saw before was “wow, we’ve been busy.” Because you apparently ...
3 years, 1 month ago (2016-11-03 22:12:51 UTC) #14
scottmg
On 2016/11/03 22:12:51, Mark Mentovai wrote: > LGTM! > > The weird punctuation you saw ...
3 years, 1 month ago (2016-11-03 22:19:35 UTC) #15
scottmg
https://codereview.chromium.org/2478633002/diff/60001/components/crash/content/app/crashpad_mac.mm File components/crash/content/app/crashpad_mac.mm (right): https://codereview.chromium.org/2478633002/diff/60001/components/crash/content/app/crashpad_mac.mm#newcode105 components/crash/content/app/crashpad_mac.mm:105: // StartHandler() failed, call UseSystemDefaultHandler() in that case to ...
3 years, 1 month ago (2016-11-03 22:19:42 UTC) #16
scottmg
+rsesek Could you stamp for third_party/crashpad/crashpad/util/thread/thread_log_messages.cc as an //ipc/SECURITY_OWNERS and vaguely interested party to avoid ...
3 years, 1 month ago (2016-11-03 22:20:43 UTC) #18
Robert Sesek
stampity lgtm
3 years, 1 month ago (2016-11-03 22:29:01 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2478633002/80001
3 years, 1 month ago (2016-11-03 22:39:30 UTC) #25
Mark Mentovai
scottmg wrote: > Yeah, great to see Android/Linux get started! I was wishing I'd dumped ...
3 years, 1 month ago (2016-11-03 22:44:32 UTC) #26
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/296449)
3 years, 1 month ago (2016-11-03 23:37:22 UTC) #28
scottmg
Stupid thing really wants an OWNERS file in third_party/crashpad/crashpad/util/thread/, but I'm not doing that. https://codereview.chromium.org/2477973002.
3 years, 1 month ago (2016-11-03 23:49:59 UTC) #29
Mark Mentovai
Set TBR= to ram this in, and file a bug against PRESUBMIT?
3 years, 1 month ago (2016-11-04 00:25:06 UTC) #30
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2478633002/80001
3 years, 1 month ago (2016-11-04 01:17:27 UTC) #33
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/296656)
3 years, 1 month ago (2016-11-04 01:34:04 UTC) #35
scottmg
On 2016/11/04 01:34:04, commit-bot: I haz the power wrote: > Try jobs failed on following ...
3 years, 1 month ago (2016-11-04 18:25:18 UTC) #36
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2478633002/80001
3 years, 1 month ago (2016-11-04 18:26:19 UTC) #38
commit-bot: I haz the power
Committed patchset #5 (id:80001)
3 years, 1 month ago (2016-11-04 19:51:59 UTC) #40
commit-bot: I haz the power
3 years, 1 month ago (2016-11-04 20:00:36 UTC) #42
Message was sent while issue was closed.
Patchset 5 (id:??) landed as
https://crrev.com/7b9234c4b2a7f4f4fa84c80ecb22d41c54899f6a
Cr-Commit-Position: refs/heads/master@{#429983}

Powered by Google App Engine
This is Rietveld 408576698